#ifndef _Fighter
#define _Fighter

#include <list>
#include <string>
#include <fstream>
#include "Neat.h"
#include "Organism.h"

using namespace std;

// static class to test a fighter, against human every NEAT::pop_size*test_every
// and at the beginning, against best_fit organism otherwise

class Fighter {

public:

	Fighter () {}
	
	~Fighter () {}

	// fighter's evaluation and learning; it's a "solution" if it defeats human,
	// or if it is above a fitness threshold
	static void launch_test_fight(Organism* org,Organism* best_fit_org);

	static constexpr int test_every=50;
	static constexpr double fitness_threshold=10.0; // fitness to reach if not defeat human
};

#define launch_test_fight Fighter::launch_test_fight
#define fitness_threshold Fighter::fitness_threshold

#endif
