#ifndef _PigEnvEval
#define _PigEnvEval

#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <ctype.h>
#include <windows.h>
#include <cmath>
#include <fstream>
#include "Organism.h"
#include <iostream>
#include "DrawNetwork.h"
#include "Functions.h"
#include "Neuron.h"
#include "PigEngineEval.h"
#include "PigUtiles.h"

int load_level_eval(GAMESTATE *gs,int map);
int load_map_level_eval(GAMESTATE *gs,int map);
GAMESTATE *init_all_eval(SDL_Surface *screen);
void star_handler_eval(PIG_object *po, const PIG_event *ev);
void evil_handler_eval(PIG_object *po, const PIG_event *ev);
void slime_handler_eval(PIG_object *po, const PIG_event *ev);
void chain_head_handler_eval(PIG_object *po, const PIG_event *ev);
void chain_link_handler_eval(PIG_object *po, const PIG_event *ev);
void add_life_eval(GAMESTATE *gs);
void remove_life_eval(GAMESTATE *gs);
void inc_score_eval(GAMESTATE *gs, int v);
PIG_object *new_star_eval(GAMESTATE *gs, int x, int y, int vx, int vy);
PIG_object *new_evil_eval(GAMESTATE *gs,int x, int y, int speed);
PIG_object *new_slime_eval(GAMESTATE *gs,int x, int y, int speed);
PIG_object *new_chain_head_eval(GAMESTATE *gs,int x, int y, int image, int target_x);
PIG_object *new_chain_link_eval(GAMESTATE *gs,int x, int y, int image, int target);
void message_eval(GAMESTATE *gs, const char *s);
void handle_input_eval(GAMESTATE *gs, SDL_Event *ev);

#endif
