#ifndef _Experiments
#define _Experiments

#include <iostream>
#include <fstream>
#include <list>
#include "Neuron.h"
#include "Functions.h"
#include "IDCounters.h"
#include "Definitions.h"
#include "Innovation.h"
#include "Organism.h"
#include "Species.h"
#include "Population.h"
#include "Neat.h"
#include "Timer.h"
#include "Fighter.h"

using namespace std;

//#define DETAILS // prints details about organisms' perfomances in file "trace.txt"
//#define FILE_OUT // outputs some generations in files <gen_num>_<run_num>.txt

//the generic testing function
Organism** test(char* nameExp);

/* Evaluation functions: */
bool xor_evaluate(Organism* org);
bool pole1_evaluate(Organism* org);
//Run input for pole1:
int go_cart(Organism* org,int max_steps);
//Move the cart and pole:
void cart_pole(int action, float* x,float* x_dot, float* theta, float* theta_dot);
// fighter's evaluation and learning; it's a "solution" if it defeats human,
// or if it is above a fitness threshold
bool evaluate_learn_fighter(Organism* org);

// generic epoch function
int epoch(Population* pop,char* nameExp,int& winnergenes,int& winnernodes);

#endif
