#include "GeneticOrganism.h"

/* Regenerate the network based on a change
   in the genotype */
void Organism::update_phenotype() {
	//First, delete the old phenotype (net)
	delete net;
	//Now, recreate the phenotype off the new genotype
	net=net->genesis(gnome->genome_id,gnome);
}

//This is used for list sorting of Organisms by fitness..highest fitness first
bool Organism::operator<(Organism *x) {
	return fitness < x->fitness;
}

