#include <cstdlib>
#include <iostream>
#include <list>
#include "Utiles.h"
#include "Definitions.h"
#include "Neat.h"
#include "NetworksNNode.h"
#include "GeneticPopulation.h"
#include "Experiments.h"

using namespace std;

int main(int argc, char** argv) {

	//ostream_iterator<NNode*> output(cout," ");
	list<NNode*> nodelist;
	Population *p;
	double val=1.0;

	//***********RANDOM SETUP***************//
	/* Seed the random-number generator with current time so that
		the numbers will be different every time we run.    */
	srand( (unsigned)time( NULL ) );

	//Load in the params
	NEAT::load_neat_params(argv[1]);

	//Here is an example of how to run an experiment directly from main
	//and then visualize the speciation that took place
	p=xor_test(100);  //100 generation XOR experiment
//	cout<<"Visualizing 1 to "<<p->final_gen<<endl;
//	p->visualize(500,700,1,p->final_gen);

	return 0;
}
