#include <SDL/SDL.h>
#include "Graphic.h"
#include "Neuron.h"
#include "Organism.h"
#include "Functions.h"
#include <list>

/* A network Graphing Routine using SDL */
/* Width and height give the size of the drawing window */

// in the following, randomDrawing is true for non-deterministic drawing;
// it's useful for some special network structures
void graph(const Organism* org,bool randomDrawing);
void draw_net(const Organism* org,SDL_Surface* surface,bool randomDrawing);
