#ifndef _IDCounters
#define _IDCounters

#include <vector>

using namespace std;

// storage class for id's counters

class IDCounters {

public:

	// common to all nodes:
	static int cur_node_id; // the current (max) node's id
	
	// common to all organisms:
	static int cur_org_id; // the current (max) organism's id
	
	// common to all species:
	static int cur_spec_id; // the current (max) species' id

	IDCounters () {}
	
	~IDCounters () {}

};

#define cur_node_id IDCounters::cur_node_id
#define cur_org_id IDCounters::cur_org_id
#define cur_spec_id IDCounters::cur_spec_id

#endif
