#ifndef _PigEval
#define _PigEval

#include <cstring>
#include <ctype.h>
#include <windows.h>
#include <cmath>
#include "PigEngine.h"
#include <fstream>
#include "Organism.h"
#include <iostream>
#include "DrawNetwork.h"
#include "Functions.h"
#include "Neuron.h"
#include "PigEnvEval.h"
#include "PigEngineEval.h"
#include "PigUtiles.h"

void player_handler_eval(PIG_object *po, const PIG_event *ev);
PIG_object *new_player_eval(GAMESTATE *gs);
int start_game_eval(GAMESTATE *gs);

// initialize boolean maps and storage vectors for next function
void init_pig_eval(int level);
// the testing function for an organism playing the pig:
void launch_test_pig(Organism* org);
// to make things more clean, call that after all evaluations:
void finish_pig_eval();

#endif
